aboutsummaryrefslogtreecommitdiff
path: root/www/mod_perl2/pkg-install
diff options
context:
space:
mode:
authorSheldon Hearn <sheldonh@FreeBSD.org>1999-11-05 14:50:26 +0000
committerSheldon Hearn <sheldonh@FreeBSD.org>1999-11-05 14:50:26 +0000
commit4d35bc6ad0cd35f5d034a7b5fb6d00effc9a0ee5 (patch)
tree7b81038681dddb75a3ee7ec312939af5156ad668 /www/mod_perl2/pkg-install
parentda35e30718eaac1d336d7091fe06189e2e11d3ae (diff)
downloadports-4d35bc6ad0cd35f5d034a7b5fb6d00effc9a0ee5.tar.gz
ports-4d35bc6ad0cd35f5d034a7b5fb6d00effc9a0ee5.zip
Notes
Diffstat (limited to 'www/mod_perl2/pkg-install')
-rw-r--r--www/mod_perl2/pkg-install65
1 files changed, 65 insertions, 0 deletions
diff --git a/www/mod_perl2/pkg-install b/www/mod_perl2/pkg-install
new file mode 100644
index 000000000000..e8febee63725
--- /dev/null
+++ b/www/mod_perl2/pkg-install
@@ -0,0 +1,65 @@
+#!/bin/sh
+#
+# Try to activate mod_perl in the installed httpd.conf and warn
+# if this fails. This script could be replaced with a simple @exec
+# line in the PLIST if the apache13 package installed an httpd.conf.
+#
+# $FreeBSD$
+#
+
+if [ "$2" != "POST-INSTALL" ]; then
+ exit 0
+fi
+
+TMPDIR=${TMPDIR:=/tmp}
+PKG_TMPDIR=${PKG_TMPDIR:=${TMPDIR}}
+
+apxscmd=${PKG_PREFIX}/sbin/apxs
+perlmod=${PKG_PREFIX}/libexec/apache/libperl.so
+tmpdir=${PKG_TMPDIR}/instmod_perl.$$
+
+if [ ! -x ${apxscmd} ]; then
+ echo Can\'t find the apxs program: ${apxscmd}.
+ exit 1
+fi
+
+confdir=`${apxscmd} -q SYSCONFDIR`
+
+if [ ! -d ${confdir} ]; then
+ echo Can\'t find Apache conf dir: ${confdir}
+ exit 1
+fi
+
+if [ ! -f ${confdir}/httpd.conf ]; then
+ if [ ! -f ${confdir}/httpd.conf.default ]; then
+ echo Can\'t find either of ${confdir}/httpd.conf nor
+ echo ${confdir}/httpd.conf.default.
+ exit 1
+ fi
+
+ if ! mkdir ${tmpdir}; then
+ echo Can\'t create temporary directory: ${tmpdir}
+ exit 1
+ fi
+
+ cp ${confdir}/httpd.conf.default ${tmpdir}/httpd.conf
+ if ${apxscmd} -e -S SYSCONFDIR=${tmpdir} -a -n perl ${perlmod}; then
+ echo Updating httpd.conf.default in config dir: ${confdir}
+ cat ${tmpdir}/httpd.conf > ${confdir}/httpd.conf.default
+ rm -rf ${tmpdir}
+ exit 0
+ else
+ rm -rf ${tmpdir}
+ echo The apxs command failed to activate mod_perl in the config
+ echo file: ${tmpdir}/httpd.conf.
+ exit 1
+ fi
+elif ${apxscmd} -e -a -n perl ${perlmod}; then
+ exit 0
+else
+ echo The apxs command failed to activate mod_perl in the config
+ echo file: ${confdir}/httpd.conf
+ exit 1
+fi
+
+exit 0